Bug 463621 - [LTC 6.0 FEAT] 201204:Greater than 2 way SMT
[LTC 6.0 FEAT] 201204:Greater than 2 way SMT
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 RHEL6Kernel2.6.27 486594
  Show dependency treegraph
 
Reported: 2008-09-23 23:50 EDT by IBM Bug Proxy
Modified: 2009-09-23 18:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-23 18:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-23 23:50:53 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:07 EDT
1. Feature Overview:
Feature Id:	[201204]
a. Name of Feature:	Greater than 2 way SMT
b. Feature Description
SMT is the ability to run more than 1 execution thread per cpu core.  Currently up to 2 execution
threads per core are supported, this would increase the  number of execution threads per core the
kernel would support on POWER.

Additional Comments:	Code Upstream

2. Feature Details:
Sponsor:	PPC - P
Architectures:
ppc64

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Performance
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	some in 2.6.25 exploitation in 2.6.27
Performance Assistance:	yes

3. Business Case
Increased performance.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Joel Schopp, jschopp@us.ibm.com
Paul Mackerras, pmac@au1.ibm.com
Comment 1 Bill Nottingham 2008-10-02 16:39:06 EDT
RHEL 6 will include at least a 2.6.27 kernel, so this should not be a problem.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
desired.
Comment 2 IBM Bug Proxy 2009-03-02 15:41:01 EST
this is in 2.6.25
sha1 id: 8d089085a4e6d8a91c954130cb4caebd50788a08
Comment 3 Kevin W Monroe 2009-09-23 18:11:19 EDT
Closing - included in Red Hat Enterprise Linux 6.

Note You need to log in before you can comment on or make changes to this bug.